# Welcome to OpenEBS Community

This is a meta-repository for OpenEBS. Here, you will find links to various artifacts related to documentation, e2e tests, and code related to building and deploying OpenEBS.

Nevertheless, find below a list of many general channels, groups, and meetings devoted to OpenEBS.

## Communication

- [Community](https://openebs.io/join-our-slack-community) - Sign Up for Slack.

- [Blog](https://blog.openebs.io) - Blogs on Containerized Storage, and DevOps.

- [Twitter](https://twitter.com/openebs) - Follow.

Real time discussions happen at [OpenEBS Community Slack](https://openebs-community.slack.com/).

## How Can I Help?

Documentation (like the text you are reading now) can always use improvement!

There's a curated list of issues, [Good First Issue](https://github.com/openebs/openebs/issues?utf8=%E2%9C%93&q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22) that should not need deep knowledge of the system.

To dig deeper, please start by having a look at [OpenEBS Architecture](../contribute/design/README.md).

There's always scope for code to be clarified and variables or functions that can be renamed or commented and need for more test coverage.

## Getting Started

Reading the [CONTRIBUTING.md](../CONTRIBUTING.md) will help you get started with:

## Issues

If you have a question about OpenEBS or have a problem using it, please start with the [troubleshooting guide](https://docs.openebs.io/docs/troubleshooting.html).
If that does not answer your questions, or if you think you found a bug, please [file an issue](https://github.com/openebs/openebs/issues).

## Weekly Meeting

We have weekly contributor meeting every Friday at 10 am Indian Standard Time over [Zoom](https://zoom.us/j/438333946).

To add this event to your calendar, please send an email to nisanta.sahoo@openebs.io or use the following [public event link](https://calendar.google.com/calendar/embed?src=openebs%40gmail.com&ctz=Asia%2FCalcutta).

Map that to your local time with this [timezone table](https://www.google.com/search?q=1000+am+in+ist).

### Meeting resources

- Agenda and any notes from each meeting are captured in this [document](https://docs.google.com/document/d/1mHL1ypds4Hf6OnOGz2dOufamu4LiSt4Sgnl9QFrxDls).

- Feature requests and current release tasks are captured in this [planning sheet](https://docs.google.com/spreadsheets/d/1bbphUqbxShBhgr1VHaEQUzIGMaJJacPNKc1ckNXU1QE).

Go back to [**Contributing to OpenEBS**](../CONTRIBUTING.md).
